Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPathSegCurvetoCubicRel

All Superinterfaces:
  SVGPathSeg

public interface SVGPathSegCurvetoCubicRel
extends SVGPathSeg

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg
`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Method Summary
`float` | `getX()`
`float` | `getX1()`
`float` | `getX2()`
`float` | `getY()`
`float` | `getY1()`
`float` | `getY2()`
`void` | `setX(float x)`
`void` | `setX1(float x1)`
`void` | `setX2(float x2)`
`void` | `setY(float y)`
`void` | `setY1(float y1)`
`void` | `setY2(float y2)`

Methods inherited from interface org.w3c.dom.svg.SVGPathSeg
`getPathSegType, getPathSegTypeAsLetter`

Method Detail

### getX

    public float getX()

### setX

    public void setX(float x)
              throws DOMException

### getY

    public float getY()

### setY

    public void setY(float y)
              throws DOMException

### getX1

    public float getX1()

### setX1

    public void setX1(float x1)
               throws DOMException

### getY1

    public float getY1()

### setY1

    public void setY1(float y1)
               throws DOMException

### getX2

    public float getX2()

### setX2

    public void setX2(float x2)
               throws DOMException

### getY2

    public float getY2()

### setY2

    public void setY2(float y2)
               throws DOMException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD